Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 187400 - NullPointerException at org.netbeans.modules.cnd.modelimpl.uid.UIDProviderIml.get
NullPointerException at org.netbeans.modules.cnd.modelimpl.uid.UIDProviderIml...
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Code Model
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Vladimir Kvashin
issues@cnd
EXCEPTIONS_REPORT, 69patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-09 18:50 UTC by tbrunhoff
Modified: 2010-07-07 13:40 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (2.53 KB, text/plain)
2010-06-09 18:50 UTC, tbrunhoff
Details
stacktrace (1.98 KB, text/plain)
2010-06-09 22:45 UTC, tbrunhoff
Details
stacktrace (1.74 KB, text/plain)
2010-06-17 22:34 UTC, tbrunhoff
Details

Note You need to log in before you can comment on or make changes to this bug.
Description tbrunhoff 2010-06-09 18:50:48 UTC
Build: NetBeans IDE Dev (Build 201005270001)
VM: Java HotSpot(TM) 64-Bit Server VM, 16.0-b13, Java(TM) SE Runtime Environment, 1.6.0_18-b07
OS: Linux

User Comments:
tbrunhoff: Restarted IDE, then did a refactor-->rename on a c++ method. The exception occured after the rename completed.




Stacktrace: 
java.lang.NullPointerException
   at org.netbeans.modules.cnd.modelimpl.uid.UIDProviderIml.get(UIDProviderIml.java:117)
   at org.netbeans.modules.cnd.modelimpl.uid.UIDProviderIml.get(UIDProviderIml.java:76)
   at org.netbeans.modules.cnd.api.model.util.UIDs.get(UIDs.java:70)
   at org.netbeans.modules.cnd.modelimpl.impl.services.TypeHierarchyResolverImpl.getSubTypesImpl(TypeHierarchyResolverImpl.java:130)
   at org.netbeans.modules.cnd.modelimpl.impl.services.TypeHierarchyResolverImpl.getSubTypesImpl(TypeHierarchyResolverImpl.java:113)
   at org.netbeans.modules.cnd.modelimpl.impl.services.TypeHierarchyResolverImpl.getSubTypesImpl(TypeHierarchyResolverImpl.java:94)
Comment 1 tbrunhoff 2010-06-09 18:50:53 UTC
Created attachment 99950 [details]
stacktrace
Comment 2 tbrunhoff 2010-06-09 22:45:39 UTC
Created attachment 99960 [details]
stacktrace

editing
Comment 3 tbrunhoff 2010-06-17 22:34:11 UTC
Created attachment 100188 [details]
stacktrace

editing.
Comment 4 Vladimir Kvashin 2010-06-18 09:25:12 UTC
Fixed in cnd-main:
http://hg.netbeans.org/cnd-main/rev/ded6c672591f
Comment 5 Vladimir Kvashin 2010-06-18 09:31:59 UTC
Sorry, I've made a typo in the previous comment (#4)
The changeset that fixes issue in cnd-main is
http://hg.netbeans.org/cnd-main/rev/f31981e3576c
Comment 6 Alexander Pepin 2010-06-21 11:56:20 UTC
verified in trunk build 20100621
Comment 7 Alexander Pepin 2010-06-21 12:08:46 UTC
tbrunhoff, please confirm that the bug has been fixed.
Comment 8 rbalada 2010-06-21 15:47:12 UTC
It looks like I've got into merge conflict when attempting to transplant the changeset main #f31981e3576c into release691 repository.

My investigation led me to opinion there's dependency on changeset main #65fa67fdcda2 which resolves issue 186684. To resolve this merge conflict I've got following options:

#1 you mark the issue 186684 with keyword 6.9.1_CANDIDATE and verify it on trunk

#2 I can do partial port of the changeset main #65fa67fdcda2, name the part in file cnd.modelimpl/src/org/netbeans/modules/cnd/modelimpl/impl/services/TypeHierarchyResolverImpl.java


Ad #1) then I will transplant the changeset main #65fa67fdcda2 as the first and that will make the changeset main #f31981e3576c transplant cleanly into release691 repository.

Ad #2) I don't like partial changesets as they are often risky business

I need someone to bless either of those options or come with a suggestions for better solution.

Thanks,
-R
Comment 9 rbalada 2010-06-23 15:51:08 UTC
I've suggestion from Alexander via e-mail:

> The best solution is:
> copy file cnd.modelimpl/src/org/netbeans/modules/cnd/modelimpl/impl/services/TypeHierarchyResolverImpl.java
> from cnd-main to release691 and commit changes.
> 
> Problem is in refactoring of the file TypeHierarchyResolverImpl.java. It prevents any transplant.
> I'm sure that refactoring does not break any functionality.


Fix ported into release691 #520fe60748fd
Comment 10 Alexander Pepin 2010-07-07 13:40:45 UTC
verified in 6.9.1 build


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo